summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/Cython/Cython.SlackBuild7
-rwxr-xr-xsource/d/python-pip/python-pip.SlackBuild6
-rwxr-xr-xsource/d/python-setuptools/python-setuptools.SlackBuild6
3 files changed, 12 insertions, 7 deletions
diff --git a/source/d/Cython/Cython.SlackBuild b/source/d/Cython/Cython.SlackBuild
index d2893f072..6e8bcae7b 100755
--- a/source/d/Cython/Cython.SlackBuild
+++ b/source/d/Cython/Cython.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/bash
-# Slackware build script for Cython
-
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -61,7 +60,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-python3 setup.py install --root=$PKG --prefix=/usr || exit 1
+unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
# Make cython3 symlink:
if [ ! -x $PKG/usr/bin/cython3 ]; then
diff --git a/source/d/python-pip/python-pip.SlackBuild b/source/d/python-pip/python-pip.SlackBuild
index 1ee81c396..d41293569 100755
--- a/source/d/python-pip/python-pip.SlackBuild
+++ b/source/d/python-pip/python-pip.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2017 Heinz Wiesinger, Amsterdam, NL
# All rights reserved.
#
@@ -61,7 +61,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-python3 setup.py install --root=$PKG || exit 1
+unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a *.txt PKG-INFO README.rst \
diff --git a/source/d/python-setuptools/python-setuptools.SlackBuild b/source/d/python-setuptools/python-setuptools.SlackBuild
index 694f68ac4..e01f11a7c 100755
--- a/source/d/python-setuptools/python-setuptools.SlackBuild
+++ b/source/d/python-setuptools/python-setuptools.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2013-2014 Audrius Kažukauskas <audrius@neutrino.lt>
-# Copyright 2014, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2017, 2018, 2022, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -99,7 +99,9 @@ if [ "$LIBDIRSUFFIX" = "64" ]; then
zcat $CWD/setuptools.x86_64.diff.gz | patch -p1 --verbose || exit 1
fi
-python3 setup.py install --root=$PKG || exit 1
+unshare -n python3 -m build --wheel --no-isolation || exit 1
+
+python3 -m installer --destdir "$PKG" dist/*.whl || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \